Skip to main content
Minimum wage rates are updated throughout the country on an ongoing basis as legislation is passed within different jurisdictions. After Symmetry confirms a new or updated rate, Minimum Wage Finder publishes the update.

View recent minimum wage changes

To view recently updated rates, call the /mwf/v1/id endpoint and set the updatedSince query parameter to the desired timeframe. The mwUid parameter accepts a wildcard * in any position, so 04-*-*-*-*-* matches every rate in Arizona. See Minimum wage unique IDs.

Example 1: View all recent rate changes

To see all rate changes across the US and its territories since 1 September 2022, set the following query parameters:
  • mwUid=*
  • pageNumber=0
  • pageSize=10
  • updatedSince=2022-09-01
Production URL:

Example 2: Recent rate changes for Arizona

To see all minimum wage rate changes for the state of Arizona since 1 September 2022, set the following query parameters:
  • mwUid=04-*-*-*-*-*
  • pageNumber=0
  • pageSize=10
  • updatedSince=2022-09-01
Production URL:
Increase pageSize or step through pageNumber when totalElements is greater than the page size, or you will see only the first page of changes.
To do the same in Portal, see View recent minimum wage rate updates.